function [X]=minort(A,B,C,X0,m)
% MINORT minimizes
%   f(X)=c+tr(A'*X)+tr(B*X*C*X')
%   following Kiers 1990- psychometrika
%   A,B,C are given matrices
%   X0 is starting value for X
%   m is the dimensionality of X
epsilon=1E-5;
maxi=1000;
iter=0;
ssqdif=50;
while (ssqdif>epsilon) & (iter<maxi)
    iter=iter+1;
    Bsym=.5*kron(B,C')+.5*kron(B',C');
    alpha=eig(Bsym);
    alpha1=max(alpha);
    W=X0-(A'+B*X0*C+B'*X0*C')./(2*alpha1);
    [U,D,Q]=svd(W);
    Um=U(:,1:m);Qm=Q(:,1:m);
    X=Um*Qm';
    ssqdif=norm(X-X0,'fro');
    X0=X;
end